Craft Routes Api

Adds a controller to generate a routes config file.

The generated endpoint is /actions/routes-api/routes/get.

Requirements

This plugin requires Craft CMS 4.5.0 or later, and PHP 8.0.2 or later.

Installation

You can install this plugin from the Plugin Store or with Composer.

From the Plugin Store

Go to the Plugin Store in your project’s Control Panel and search for “craft-routes-api”. Then press “Install”.

With Composer

Open your terminal and run the following commands:

# go to the project directory
cd /path/to/my-project.test

# tell Composer to load the plugin
composer require deuxhuithuit/craft-routes-api

# tell Craft to install the plugin
./craft plugin/install routes-api
Installation Instructions

To install this plugin, copy the command above to your terminal.

Active Installs
31
Version
2.1.1
License
MIT
Compatibility
Craft 4
Last release
December 6, 2023
Categories
Activity (30 days)
0
Closed Issues
0
Open Issues
0
Merged PRs
0
Open PRs